using System;
using System.IO;

internal sealed class Delegate790 : MulticastDelegate
{
	public extern Stream Invoke(object object_0);

	public static Stream smethod_0(object object_0, Delegate790 delegate790_1)
	{
		return delegate790_1(object_0);
	}

	public extern Delegate790(object object_0, IntPtr intptr_0);

	static Delegate790()
	{
		Class10.smethod_13(typeof(Delegate790).TypeHandle);
	}

	internal static Delegate790 delegate790_0;
}
